Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  API: ändern der Inkontext Referenz

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   API: ändern der Inkontext Referenz (343 mal gelesen)
INKN
Mitglied
Consulant/Softwareentwickler


Sehen Sie sich das Profil von INKN an!   Senden Sie eine Private Message an INKN  Schreiben Sie einen Gästebucheintrag für INKN

Beiträge: 277
Registriert: 22.08.2001

erstellt am: 03. Sep. 2003 08:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


ExtRef.jpg

 
Hallo,

kennt jemand eine Möglichkeit die InkontextReferenz-Dateinamen der Inkontextbaugruppe in der Einzelteildatei zu ändern?

Bis jetzt habe ich nur die Möglichkeit interaktiv beim SpeichernUnter der Baugruppe kann man die Referenzen des Teils und BG zueinander erhalten beim Umbenennen (ist aber nicht über APIProgrammier- und Anwendungsschnittstelle (Application Programming Interface) machbar).

Mit swApp.GetDocumentDependencies2 kann zwar die Referenz angezeigt werden, aber nicht über swApp.ReplaceReferencedDocument geändert werden.


Gruß Ingo

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

dr
Mitglied
CAD-/PLM-Entwickler und -Berater


Sehen Sie sich das Profil von dr an!   Senden Sie eine Private Message an dr  Schreiben Sie einen Gästebucheintrag für dr

Beiträge: 87
Registriert: 30.10.2001

erstellt am: 03. Sep. 2003 11:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für INKN 10 Unities + Antwort hilfreich

Hi!

Doch, Du kannst ReplaceReferencedDocument verwenden.

Allerdings musst Du dabei darauf achten, dass die beteiligten Objekte nicht in SolidWorks geöffnet sind - sonst funktioniert's nicht.
Dabei wiederum musst Du darauf achten, dass ein einfaches Schliessen nicht reicht.
Beispiel:
Du hast eine Baugruppe A geöffnet, die ein Teil P enthält. Wenn Du nun einfach auf dem ModelDoc von P die Methode Close() aufrufst, reicht das nicht. Du musst auch A schliessen, da SolidWorks ein Objekt erst dann wirklich schliesst, wenn keine Referenzen auf das Objekt in der aktuellen Sitzung existieren...

Danach kannst Du mit ReplaceReferencedDocument auch externe Referenzen (Kontextbeziehungen, Teileabhängigkeiten) problemlos umbiegen...

Ich hoffe, das hilft Dir weiter.

Gruß,
  Danny

------------------
Danny Reinhold
Reinhold Software & Services

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz